<!DOCTYPE html>
<html lang='en'>
<head>
<script src="/assets/application-9c9b45e437653e4c388a76aec3dc16059fffdb3c0959ca5678939a4402931b0a.js"></script>
<title>expressjs/body-parser | Coveralls - Test Coverage History &amp; Statistics</title>
<meta content='Test code coverage history for expressjs/body-parser' name='description'>
<meta content='jjkWjPM43FYXwRd2QigTVe8W27xMk-cXGJxUD6mQDCY' name='google-site-verification'>
<meta content='uVH7jwgRaeBZzSydDg2B7A3k8Xaw4axxRcaGLMd3Rc' name='globalsign-domain-verification'>
<meta charset='utf-8'>
<meta content='IE=Edge,chrome=1' http-equiv='X-UA-Compatible'>
<meta content='Coveralls, coveralls gem, automated testing, integration testing, test coverage, TDD, CI, continuous integration testing, continuous integration, test code coverage, test coverage history, ruby gem, python extension, test driven development, github badge, code coverage, code coverage history, code coverage statistics' name='keywords'>
<meta content='Coveralls.io - Test Coverage History and Statistics' property='og:title'>
<meta content='The leading provider of test coverage analytics. Ensure that all your new code is fully covered, and see coverage trends emerge. Works with most CI services. Always free for open source.' property='og:description'>
<meta content='Coveralls.io' property='og:site_name'>
<meta content='/social.png' property='og:image'>
<meta content='image/png' property='og:image:type'>
<meta content='500' property='og:image:width'>
<meta content='500' property='og:image:height'>
<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="SFNAwYefAJNsOzBkedBBtN0YdMW9NYcvAQ8vi5zliOC3qypjnZFw78q/T8I71+oChGC6WqfAM1+PzUvNBTf7Aw==" />
<link href='/favicon.png' rel='shortcut icon'>
<link href='/apple-touch-icon-precomposed.png' rel='apple-touch-icon-precomposed'>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery.payment/1.2.4/jquery.payment.min.js"></script>
<script src="https://js.stripe.com/v2/"></script>
<script src='//cdn.optimizely.com/js/2456360022.js'></script>
<script src="//use.typekit.net/ngz2htl.js"></script>
<script type='text/javascript'>try{Typekit.load();}catch(e){}</script>
<meta name="stripe-key" content="pk_live_D0ehNEidbTjN3ZqW00IrjpM3" />
<link href='//maxcdn.bootstrapcdn.com/font-awesome/4.6.1/css/font-awesome.min.css' rel='stylesheet'>
<script src='https://d3dy5gmtp8yhk7.cloudfront.net/2.1/pusher.min.js' type='text/javascript'></script>
<script src="//js.pusher.com/3.1/pusher.min.js"></script>
<script>
//<![CDATA[
var AUTH_TOKEN = 'Mco+Pw+daadFfRrHH8ctBu17e+YffCdtrGvdiW6q3SDOMlSdFZMZ2+P5ZWFdwIawtAO1eQWJkx0iqbnP93iuww==';
//]]>
</script>
<script>
  window.Config = {
    PusherKey: "4228d2afb0b831a6fec4"
  }
</script>

<link rel="stylesheet" media="screen" href="/assets/application-5eab3f827589a02619d87c79515030dd156c7cc7c16cc1da27d29c348709f1ee.css" />
</head>
<body class='  '>
<div class='container'>
<div class='app-outer container_footer page-full'>
<div class='header'>
<div class='logo-fixed'>
<img data-svg-fallback="/assets/coveralls_logo-1a40cd0265e114bdc40cc5caa6fc10786c80a9d1d37b2f30b30b7c5c3b4a8d71.png" src="/assets/coveralls_logob-27da862c7a24252e50f769869074fa2e8dff5c0a997ab880698836a1f7d4016d.svg" alt="Coveralls logob" />
</div>
<a class="logo" href="/"><img data-svg-fallback="/assets/coveralls_logo-1a40cd0265e114bdc40cc5caa6fc10786c80a9d1d37b2f30b30b7c5c3b4a8d71.png" src="/assets/coveralls_logo-bbcdaf48b4b89e4f878f9d12d52733d2e878e44e656bbd59a5e29800ba4ba393.svg" alt="Coveralls logo" />
</a><nav class='siteNav'>
<ul>
<li>
<a href="https://coveralls.io/"><i class="fa fa-home"></i>
<span>Home</span>
</a></li>
<li>
<a href="/features"><i class="fa fa-asterisk"></i>
<span>Features</span>
</a></li>
<li class=''>
<a href="/pricing"><i class="fa fa-star"></i>
<span>Pricing</span>
</a></li>
<li>
<a href="http://docs.coveralls.io"><i class="fa fa-question-circle"></i>
<span>Docs</span>
</a></li>
<li>
<a data-no-turbolink="true" href="/sign-in"><i class="fa fa-sign-in"></i>
<span>Sign In</span>
</a></li>
</ul>
</nav>
</div>

<div class='appWrapper'>
<div class='show-page'>
<h1>
<i class="fa fa-github"></i>
<a class="user" href="/github/expressjs">expressjs</a>
<b>/</b>
<a class="repo" href="https://coveralls.io/github/expressjs/body-parser">body-parser</a>

<div class='coverage-high coverageText' id='repoShowPercentage'>100%</div>
</h1>
<div class='show-trend repoOverview'><div class='coverage-high trend'>
<em>
DEFAULT BRANCH:
<span>master</span>
</em>
<div class='repo-sparkline' data-branch='master' data-graph-data='[[0,100.0,808668],[1,100.0,808761],[2,100.0,808778],[3,100.0,821946],[4,100.0,821961],[5,100.0,821962],[6,100.0,822225],[7,100.0,822229],[8,100.0,831361],[9,100.0,859369],[10,100.0,859372],[11,100.0,859374],[12,100.0,859375],[13,100.0,859376],[14,100.0,878668],[15,100.0,878672],[16,100.0,878723],[17,100.0,881281],[18,100.0,881622],[19,100.0,881715],[20,100.0,884798],[21,100.0,884832],[22,100.0,884934],[23,100.0,885115],[24,100.0,885131],[25,100.0,885196],[26,100.0,885259],[27,100.0,885358],[28,100.0,885363],[29,100.0,885370],[30,100.0,885415],[31,100.0,885534],[32,100.0,885589],[33,100.0,885805],[34,100.0,885838],[35,100.0,885957],[36,100.0,886380],[37,100.0,886382],[38,100.0,886473],[39,100.0,886476],[40,100.0,886477],[41,100.0,887807],[42,100.0,900809],[43,100.0,940005],[44,100.0,987052],[45,100.0,987057],[46,100.0,987061],[47,100.0,987179],[48,100.0,987183],[49,100.0,987967],[50,100.0,987994],[51,100.0,1010619],[52,100.0,1010625],[53,100.0,1012491],[54,100.0,1012492],[55,100.0,1048556],[56,100.0,1048561],[57,100.0,1048563],[58,100.0,1051518],[59,100.0,1052739],[60,100.0,1052740],[61,100.0,1055541],[62,100.0,1055545],[63,100.0,1066652],[64,100.0,1066654],[65,100.0,1066655],[66,100.0,1086699],[67,100.0,1086756],[68,100.0,1091763],[69,100.0,1093973],[70,100.0,1093997],[71,100.0,1128306],[72,100.0,1128307],[73,100.0,1128541],[74,100.0,1136816],[75,100.0,1136848],[76,100.0,1138513],[77,100.0,1142984],[78,100.0,1147539],[79,100.0,1148041],[80,100.0,1156411],[81,100.0,1156432],[82,100.0,1156443],[83,100.0,1175573],[84,100.0,1175603],[85,100.0,1176461],[86,100.0,1176464],[87,100.0,1176501],[88,100.0,1181408],[89,100.0,1181412],[90,100.0,1181416],[91,100.0,1214228],[92,100.0,1214238],[93,100.0,1214420],[94,100.0,1214422],[95,100.0,1219265],[96,100.0,1219267],[97,100.0,1234361],[98,100.0,1234374],[99,100.0,1249016],[100,100.0,1249091],[101,100.0,1249114],[102,100.0,1249119],[103,100.0,1249130],[104,100.0,1251979],[105,100.0,1263248],[106,100.0,1263253],[107,100.0,1282915],[108,100.0,1282951],[109,100.0,1287972],[110,100.0,1321009],[111,100.0,1372556],[112,100.0,1372557],[113,100.0,1372560],[114,100.0,1372561],[115,100.0,1372566],[116,100.0,1391984],[117,100.0,1392101],[118,100.0,1402982],[119,100.0,1403038],[120,100.0,1511944],[121,100.0,1511948],[122,100.0,1511949],[123,100.0,1511951],[124,100.0,1511960],[125,100.0,1511965],[126,100.0,1511969],[127,100.0,1511989],[128,100.0,1512123],[129,100.0,1555373],[130,100.0,1558554],[131,100.0,1561199],[132,100.0,1594937],[133,100.0,1594938],[134,100.0,1681646],[135,100.0,1681648],[136,100.0,1681657],[137,100.0,1681660],[138,100.0,1681725],[139,100.0,1778349],[140,100.0,1778352],[141,100.0,1778357],[142,100.0,1838538],[143,100.0,1838566],[144,100.0,1838588],[145,100.0,1919570],[146,100.0,1919574],[147,100.0,1919577],[148,0,1919580],[149,100.0,1919582],[150,100.0,1919602],[151,100.0,1919644],[152,100.0,1919660],[153,100.0,1926350],[154,100.0,1926891],[155,100.0,1927012],[156,100.0,1927013],[157,99.3630573248408,1927047],[158,99.3630573248408,1927048],[159,99.3630573248408,2120102],[160,100.0,2120157],[161,100.0,2120164],[162,100.0,2120169],[163,100.0,2120173],[164,100.0,2120185],[165,100.0,2120192],[166,100.0,2120384],[167,100.0,2128673],[168,100.0,2128683],[169,100.0,2219423],[170,100.0,2219427],[171,100.0,2349379],[172,100.0,2349383],[173,100.0,2349395],[174,100.0,2349472],[175,100.0,2349475],[176,100.0,2349479],[177,100.0,2349542],[178,100.0,2349545],[179,100.0,2531819],[180,100.0,2531822],[181,100.0,2531880],[182,100.0,2532052],[183,100.0,2532065],[184,100.0,2532067],[185,100.0,2532069],[186,100.0,2532094],[187,100.0,2532405],[188,100.0,2532419],[189,100.0,2532449],[190,100.0,2593607],[191,100.0,2593612],[192,100.0,2593622],[193,100.0,2815347],[194,100.0,2815352],[195,100.0,2815394],[196,100.0,2815399],[197,100.0,2815444],[198,100.0,2815473],[199,100.0,2815477],[200,100.0,2815512],[201,100.0,2815517],[202,100.0,2815520],[203,100.0,2815591],[204,100.0,2815644],[205,100.0,2815791],[206,100.0,2815875],[207,100.0,2815891],[208,100.0,2831825],[209,100.0,2831897],[210,100.0,2981665],[211,100.0,2981673],[212,100.0,2981679],[213,100.0,2981683],[214,100.0,2981696],[215,100.0,2981718],[216,100.0,2981729],[217,100.0,3082282],[218,100.0,3082285],[219,100.0,3193667],[220,100.0,3193671],[221,100.0,3193686],[222,100.0,3485610],[223,100.0,3485637],[224,100.0,3485667],[225,100.0,3485704],[226,100.0,3485805],[227,100.0,3485860],[228,100.0,3500203],[229,100.0,3500229],[230,100.0,3500234],[231,100.0,3507344],[232,100.0,3507395],[233,100.0,3564532],[234,100.0,3564695],[235,100.0,3564920],[236,100.0,3576749],[237,100.0,3589580],[238,100.0,3684613],[239,100.0,3684616],[240,100.0,3684653],[241,100.0,3684656],[242,100.0,3684659],[243,100.0,3684691],[244,100.0,3684734],[245,100.0,3684743],[246,100.0,3684751],[247,100.0,4484246],[248,100.0,4484271],[249,100.0,4484335],[250,100.0,4484345],[251,100.0,4484356],[252,100.0,4484374],[253,100.0,4484408],[254,100.0,4484427],[255,100.0,4484547],[256,100.0,4484566],[257,100.0,4485028],[258,100.0,4485039],[259,100.0,4485051],[260,100.0,4485064],[261,100.0,4910267],[262,100.0,4910268],[263,100.0,4910273],[264,100.0,4910333],[265,100.0,5042437],[266,100.0,5042461],[267,100.0,5042674],[268,100.0,5042682],[269,100.0,5042693],[270,100.0,5042732],[271,100.0,5042743],[272,100.0,5042764],[273,100.0,5043088],[274,100.0,5880675],[275,100.0,5880718],[276,100.0,6070879],[277,100.0,6070895],[278,100.0,6070904],[279,100.0,6070914],[280,100.0,6071139],[281,100.0,6071338],[282,100.0,6071349],[283,100.0,6071397],[284,100.0,6071422],[285,100.0,6071750],[286,100.0,6071758],[287,100.0,6071801],[288,100.0,6659789],[289,100.0,6659821],[290,100.0,6659837],[291,100.0,6659850],[292,100.0,6659869],[293,100.0,6659946],[294,100.0,6659952],[295,100.0,6660697],[296,100.0,6661326],[297,100.0,6662071],[298,100.0,6662099],[299,100.0,6662333],[300,100.0,6662421],[301,100.0,6662466],[302,100.0,6662550],[303,100.0,6662874],[304,100.0,6810698],[305,100.0,6810718],[306,100.0,6810798],[307,100.0,8900539],[308,100.0,8900562],[309,100.0,9682933],[310,100.0,9682946],[311,100.0,9682950],[312,100.0,9682958],[313,100.0,9682964],[314,100.0,9682972],[315,100.0,9682982],[316,100.0,9683188],[317,100.0,9683202],[318,100.0,9683207],[319,100.0,9683397],[320,100.0,9683410],[321,100.0,9683420],[322,100.0,9683436],[323,100.0,9719172],[324,100.0,9719227],[325,100.0,9719258],[326,100.0,10104056],[327,100.0,10104091],[328,100.0,10104106],[329,100.0,10104117],[330,100.0,10104133],[331,100.0,10288102],[332,100.0,10288120],[333,100.0,10288172],[334,100.0,10288189],[335,100.0,10288213],[336,100.0,10288228],[337,100.0,10288242],[338,100.0,10387143],[339,100.0,10387179],[340,99.2714025500911,10450085],[341,99.2714025500911,10450123],[342,99.2714025500911,10450150],[343,99.4505494505494,10450451],[344,99.8154981549816,10450529],[345,99.8154981549816,10450558],[346,99.8154981549816,10465294],[347,99.8154981549816,10465303],[348,100.0,11576780],[349,99.8154981549816,11576795],[350,99.8154981549816,11576821],[351,99.8154981549816,11576838],[352,99.8154981549816,11577506],[353,99.8154981549816,11577542],[354,99.8154981549816,11577557],[355,99.8154981549816,11577584],[356,99.8154981549816,11577603],[357,99.8154981549816,11577630],[358,99.8154981549816,11577654],[359,99.8154981549816,12703949],[360,99.8154981549816,12703972],[361,99.8154981549816,12703997],[362,99.8154981549816,12704021],[363,99.8154981549816,12704042],[364,99.8154981549816,12704064],[365,99.8154981549816,12704113],[366,99.8154981549816,12704128],[367,99.8154981549816,12704150],[368,99.8154981549816,12704171],[369,99.8154981549816,12704986],[370,99.8154981549816,12704996],[371,99.8154981549816,12705064],[372,99.8154981549816,12705075],[373,99.8175182481752,12705091],[374,99.8175182481752,13179253],[375,99.8175182481752,13179280],[376,99.8175182481752,13179295],[377,99.8175182481752,13179314],[378,99.8175182481752,13179334],[379,99.8175182481752,13179354],[380,99.8175182481752,13179597],[381,99.8198198198198,13179671],[382,99.8198198198198,13179687],[383,99.8161764705882,13179769],[384,99.8161764705882,13185716],[385,99.8161764705882,13187620],[386,99.8161764705882,13189660],[387,99.8161764705882,13189863],[388,99.8161764705882,13189913],[389,100.0,13189983],[390,100.0,13191220],[391,100.0,13192654],[392,100.0,13195121],[393,99.8175182481752,13195207],[394,99.8175182481752,13195228],[395,99.8175182481752,13195239],[396,99.8175182481752,13195249],[397,99.8175182481752,13195262],[398,99.8175182481752,13195272],[399,99.8175182481752,13195288],[400,99.8198198198198,13195311],[401,99.8198198198198,13195324],[402,99.8161764705882,13195340],[403,99.8161764705882,13195352],[404,99.8161764705882,13195364],[405,99.8161764705882,13195390],[406,99.8161764705882,13195418],[407,99.8161764705882,13195432],[408,100.0,13195446],[409,100.0,13195456],[410,100.0,13196007],[411,100.0,13205415],[412,100.0,13205445],[413,100.0,13205463],[414,100.0,13209333],[415,100.0,13235992],[416,100.0,13236054],[417,100.0,13236120],[418,100.0,13392308],[419,100.0,13392432],[420,100.0,13392459],[421,100.0,13446853],[422,100.0,14972360],[423,100.0,14972427],[424,100.0,14972458],[425,100.0,14972783],[426,100.0,14972854],[427,100.0,14972909],[428,100.0,14972949],[429,100.0,14973014],[430,100.0,16368058],[431,100.0,16519348],[432,100.0,16519366],[433,100.0,16519385],[434,100.0,16519402],[435,100.0,16519415],[436,100.0,16519435],[437,100.0,16519448],[438,100.0,16519471],[439,100.0,16519490],[440,100.0,16850007],[441,100.0,16850028],[442,100.0,16886463],[443,100.0,16886533],[444,100.0,16886621],[445,100.0,16887287],[446,100.0,16887330],[447,100.0,16888465],[448,100.0,16888526],[449,100.0,16889032],[450,100.0,16889084],[451,100.0,16890453],[452,100.0,16890743],[453,100.0,16890813],[454,100.0,16973946],[455,100.0,18406942],[456,100.0,18407067],[457,100.0,18407176],[458,100.0,18407257],[459,100.0,18407539],[460,100.0,18407831],[461,100.0,22875864],[462,100.0,22875980],[463,100.0,22876075],[464,100.0,22876162],[465,100.0,22876260],[466,100.0,22876376],[467,100.0,22876577],[468,100.0,22882311],[469,100.0,22882360],[470,100.0,22883484],[471,100.0,22883525],[472,100.0,22883565],[473,100.0,22883600],[474,100.0,22883623],[475,100.0,22883645],[476,100.0,22883697],[477,100.0,22883727],[478,100.0,22883764],[479,100.0,22883788],[480,100.0,22883824],[481,100.0,22883845],[482,100.0,22883897],[483,100.0,22883929],[484,100.0,22884032],[485,100.0,22884064],[486,100.0,22884104],[487,100.0,22884145],[488,100.0,22885152],[489,100.0,22885185],[490,100.0,22885244],[491,100.0,22885284],[492,100.0,22885316],[493,100.0,22885347],[494,100.0,22885377],[495,100.0,22885413],[496,100.0,22924673],[497,100.0,22924685],[498,100.0,22924708],[499,100.0,22985664],[500,100.0,23036299],[501,100.0,23036331],[502,100.0,24209401],[503,100.0,24209448],[504,100.0,24209485],[505,100.0,24209533],[506,100.0,24209570],[507,100.0,24209855],[508,100.0,24209885],[509,100.0,24209926],[510,100.0,24209967],[511,100.0,24210008],[512,100.0,24210035],[513,100.0,28754781],[514,100.0,28754818],[515,100.0,28754837],[516,100.0,29370830],[517,100.0,29370892],[518,100.0,29370976],[519,100.0,29371011],[520,100.0,29492792],[521,100.0,29492822],[522,100.0,29492934],[523,100.0,29492994],[524,100.0,29515324],[525,100.0,29515357],[526,100.0,29515381],[527,100.0,29515397],[528,100.0,29515432],[529,100.0,29515452],[530,100.0,29568667],[531,100.0,29568706],[532,100.0,29568752],[533,100.0,29568790],[534,100.0,29568822],[535,100.0,29569036],[536,100.0,29569117],[537,100.0,29569179],[538,100.0,29569245],[539,100.0,29570058],[540,100.0,29570098],[541,100.0,29570123],[542,100.0,29570152],[543,100.0,29570181],[544,100.0,29648071],[545,100.0,29648121],[546,100.0,29648168],[547,100.0,29648230],[548,100.0,29648289],[549,100.0,29648343],[550,100.0,29648401],[551,100.0,29648448],[552,100.0,29648503],[553,100.0,29648554],[554,100.0,29648777],[555,100.0,29648846]]'></div>
<a class='infobox' href='/builds/' onmouseout='$(&#39;.infobox&#39;).hide();' style='display:none;'>
<span>
Build:
<i class='fa fa-arrow-circle-right'></i>
</span>
</a>
</div>
</div>
<div class='repo-details'>
<table>
<tr>
<td>
<div class='show-detail-item'>
<span>Repo Added</span>
27 May 2014 06:40PM UTC
</div>
</td>
<td>
<div class='show-detail-item'>
<span>Total Files</span>
6
</div>
</td>
<td>
<div class='show-detail-item'>
<span># Builds</span>
772
<a class="btn btn-nano" href="/builds/29648846">Last
<i class="fa fa-arrow-circle-right"></i>
</a></div>
</td>
<td>
<div class='show-detail-item'>
<span>Badge</span>
<div class='repoBadgeBtn'>
<img src="https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master" alt="Badge" />
<a class="btn btn-micro j_popoverButton btn-nano" href="javascript://">Embed ▾</a>
<div class='popover j_shieldLinks_wr'>
<h5>
README BADGES
<div class='j_popoverClose'>x</div>
</h5>
<p>If you need to use a raster PNG badge, change the '.svg' to '.png' in the link</p>
<div class='j_shieldLinks'>
<div class='markdown'>
<h4>Markdown</h4>
<textarea onclick='this.focus();this.select()' readonly='readonly'>[![Coverage Status](https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master)](https://coveralls.io/github/expressjs/body-parser?branch=master)</textarea>
</div>
<div class='textile'>
<h4>Textile</h4>
<textarea onclick='this.focus();this.select()' readonly='readonly'>https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master(Coverage Status)!:https://coveralls.io/github/expressjs/body-parser?branch=master</textarea>
</div>
<div class='rdoc'>
<h4>RDoc</h4>
<textarea onclick='this.focus();this.select()' readonly='readonly'>{&lt;img src=&quot;https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master&quot; alt=&quot;Coverage Status&quot; /&gt;}[https://coveralls.io/github/expressjs/body-parser?branch=master]
</textarea>
</div>
<div class='html'>
<h4>HTML</h4>
<textarea onclick='this.focus();this.select()' readonly='readonly'>&lt;a href=&#39;https://coveralls.io/github/expressjs/body-parser?branch=master&#39;&gt;&lt;img src=&#39;https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master&#39; alt=&#39;Coverage Status&#39; /&gt;&lt;/a&gt;
</textarea>
</div>
<div class='rst'>
<h4>Rst</h4>
<textarea onclick='this.focus();this.select()' readonly='readonly'>.. image:: https://coveralls.io/repos/github/expressjs/body-parser/badge.svg?branch=master
:target: https://coveralls.io/github/expressjs/body-parser?branch=master
</textarea>
</div>
</div>
</div>
</div>

</div>
</td>
</tr>
</table>
</div>

<div class='show-item repo-build-details'>
<h3>
LAST BUILD ON BRANCH
master
<div class='repo-build-branch pull-right pop-wr'>
<a class="btn popover-btn j_popoverButton" href="javascript://"><i class="fa fa-code-fork"></i>
branch: master
</a><div class='popover popover-branches'>
<h5>
CHANGE BRANCH
<div class='j_popoverClose'>x</div>
</h5>
<div class='branch-search'>
<input id='branchSearch' placeholder='Search branches' type='text'>
</div>
<div class='branch-reset'>
</div>
<ul class='popover-link-list' id='branchSearch-results'>
<li>
<div class='popover-link-list-current'>
<i class="fa fa-check-circle-o"></i>
master
</div>
</li>
<li class='opt' data-name='1.3.0'>
<a href="/github/expressjs/body-parser?branch=1.3.0"><i class="fa fa-circle-o"></i>
1.3.0
</a></li>
<li class='opt' data-name='1.3.1'>
<a href="/github/expressjs/body-parser?branch=1.3.1"><i class="fa fa-circle-o"></i>
1.3.1
</a></li>
<li class='opt' data-name='check-charset'>
<a href="/github/expressjs/body-parser?branch=check-charset"><i class="fa fa-circle-o"></i>
check-charset
</a></li>
<li class='opt' data-name='1.4.0'>
<a href="/github/expressjs/body-parser?branch=1.4.0"><i class="fa fa-circle-o"></i>
1.4.0
</a></li>
<li class='opt' data-name='1.4.1'>
<a href="/github/expressjs/body-parser?branch=1.4.1"><i class="fa fa-circle-o"></i>
1.4.1
</a></li>
<li class='opt' data-name='1.4.2'>
<a href="/github/expressjs/body-parser?branch=1.4.2"><i class="fa fa-circle-o"></i>
1.4.2
</a></li>
<li class='opt' data-name='1.4.3'>
<a href="/github/expressjs/body-parser?branch=1.4.3"><i class="fa fa-circle-o"></i>
1.4.3
</a></li>
<li class='opt' data-name='1.5.0'>
<a href="/github/expressjs/body-parser?branch=1.5.0"><i class="fa fa-circle-o"></i>
1.5.0
</a></li>
<li class='opt' data-name='1.5.1'>
<a href="/github/expressjs/body-parser?branch=1.5.1"><i class="fa fa-circle-o"></i>
1.5.1
</a></li>
<li class='opt' data-name='1.5.2'>
<a href="/github/expressjs/body-parser?branch=1.5.2"><i class="fa fa-circle-o"></i>
1.5.2
</a></li>
<li class='opt' data-name='1.6.0'>
<a href="/github/expressjs/body-parser?branch=1.6.0"><i class="fa fa-circle-o"></i>
1.6.0
</a></li>
<li class='opt' data-name='1.6.1'>
<a href="/github/expressjs/body-parser?branch=1.6.1"><i class="fa fa-circle-o"></i>
1.6.1
</a></li>
<li class='opt' data-name='1.6.2'>
<a href="/github/expressjs/body-parser?branch=1.6.2"><i class="fa fa-circle-o"></i>
1.6.2
</a></li>
<li class='opt' data-name='1.6.3'>
<a href="/github/expressjs/body-parser?branch=1.6.3"><i class="fa fa-circle-o"></i>
1.6.3
</a></li>
<li class='opt' data-name='1.6.4'>
<a href="/github/expressjs/body-parser?branch=1.6.4"><i class="fa fa-circle-o"></i>
1.6.4
</a></li>
<li class='opt' data-name='1.6.5'>
<a href="/github/expressjs/body-parser?branch=1.6.5"><i class="fa fa-circle-o"></i>
1.6.5
</a></li>
<li class='opt' data-name='1.6.6'>
<a href="/github/expressjs/body-parser?branch=1.6.6"><i class="fa fa-circle-o"></i>
1.6.6
</a></li>
<li class='opt' data-name='1.6.7'>
<a href="/github/expressjs/body-parser?branch=1.6.7"><i class="fa fa-circle-o"></i>
1.6.7
</a></li>
<li class='opt' data-name='1.7.0'>
<a href="/github/expressjs/body-parser?branch=1.7.0"><i class="fa fa-circle-o"></i>
1.7.0
</a></li>
<li class='opt' data-name='1.8.0'>
<a href="/github/expressjs/body-parser?branch=1.8.0"><i class="fa fa-circle-o"></i>
1.8.0
</a></li>
<li class='opt' data-name='1.8.1'>
<a href="/github/expressjs/body-parser?branch=1.8.1"><i class="fa fa-circle-o"></i>
1.8.1
</a></li>
<li class='opt' data-name='1.8.2'>
<a href="/github/expressjs/body-parser?branch=1.8.2"><i class="fa fa-circle-o"></i>
1.8.2
</a></li>
<li class='opt' data-name='2.x'>
<a href="/github/expressjs/body-parser?branch=2.x"><i class="fa fa-circle-o"></i>
2.x
</a></li>
<li class='opt' data-name='1.8.3'>
<a href="/github/expressjs/body-parser?branch=1.8.3"><i class="fa fa-circle-o"></i>
1.8.3
</a></li>
<li class='opt' data-name='1.8.4'>
<a href="/github/expressjs/body-parser?branch=1.8.4"><i class="fa fa-circle-o"></i>
1.8.4
</a></li>
<li class='opt' data-name='1.9.0'>
<a href="/github/expressjs/body-parser?branch=1.9.0"><i class="fa fa-circle-o"></i>
1.9.0
</a></li>
<li class='opt' data-name='1.9.1'>
<a href="/github/expressjs/body-parser?branch=1.9.1"><i class="fa fa-circle-o"></i>
1.9.1
</a></li>
<li class='opt' data-name='1.9.2'>
<a href="/github/expressjs/body-parser?branch=1.9.2"><i class="fa fa-circle-o"></i>
1.9.2
</a></li>
<li class='opt' data-name='1.9.3'>
<a href="/github/expressjs/body-parser?branch=1.9.3"><i class="fa fa-circle-o"></i>
1.9.3
</a></li>
<li class='opt' data-name='1.10.0'>
<a href="/github/expressjs/body-parser?branch=1.10.0"><i class="fa fa-circle-o"></i>
1.10.0
</a></li>
<li class='opt' data-name='1.10.1'>
<a href="/github/expressjs/body-parser?branch=1.10.1"><i class="fa fa-circle-o"></i>
1.10.1
</a></li>
<li class='opt' data-name='1.10.2'>
<a href="/github/expressjs/body-parser?branch=1.10.2"><i class="fa fa-circle-o"></i>
1.10.2
</a></li>
<li class='opt' data-name='1.11.0'>
<a href="/github/expressjs/body-parser?branch=1.11.0"><i class="fa fa-circle-o"></i>
1.11.0
</a></li>
<li class='opt' data-name='1.12.0'>
<a href="/github/expressjs/body-parser?branch=1.12.0"><i class="fa fa-circle-o"></i>
1.12.0
</a></li>
<li class='opt' data-name='1.12.1'>
<a href="/github/expressjs/body-parser?branch=1.12.1"><i class="fa fa-circle-o"></i>
1.12.1
</a></li>
<li class='opt' data-name='1.12.2'>
<a href="/github/expressjs/body-parser?branch=1.12.2"><i class="fa fa-circle-o"></i>
1.12.2
</a></li>
<li class='opt' data-name='1.12.3'>
<a href="/github/expressjs/body-parser?branch=1.12.3"><i class="fa fa-circle-o"></i>
1.12.3
</a></li>
<li class='opt' data-name='1.12.4'>
<a href="/github/expressjs/body-parser?branch=1.12.4"><i class="fa fa-circle-o"></i>
1.12.4
</a></li>
<li class='opt' data-name='1.13.0'>
<a href="/github/expressjs/body-parser?branch=1.13.0"><i class="fa fa-circle-o"></i>
1.13.0
</a></li>
<li class='opt' data-name='1.13.1'>
<a href="/github/expressjs/body-parser?branch=1.13.1"><i class="fa fa-circle-o"></i>
1.13.1
</a></li>
<li class='opt' data-name='1.13.2'>
<a href="/github/expressjs/body-parser?branch=1.13.2"><i class="fa fa-circle-o"></i>
1.13.2
</a></li>
<li class='opt' data-name='1.13.3'>
<a href="/github/expressjs/body-parser?branch=1.13.3"><i class="fa fa-circle-o"></i>
1.13.3
</a></li>
<li class='opt' data-name='mocha_test'>
<a href="/github/expressjs/body-parser?branch=mocha_test"><i class="fa fa-circle-o"></i>
mocha_test
</a></li>
<li class='opt' data-name='1.14.0'>
<a href="/github/expressjs/body-parser?branch=1.14.0"><i class="fa fa-circle-o"></i>
1.14.0
</a></li>
<li class='opt' data-name='1.14.1'>
<a href="/github/expressjs/body-parser?branch=1.14.1"><i class="fa fa-circle-o"></i>
1.14.1
</a></li>
<li class='opt' data-name='1.14.2'>
<a href="/github/expressjs/body-parser?branch=1.14.2"><i class="fa fa-circle-o"></i>
1.14.2
</a></li>
<li class='opt' data-name='2.x-refactor'>
<a href="/github/expressjs/body-parser?branch=2.x-refactor"><i class="fa fa-circle-o"></i>
2.x-refactor
</a></li>
<li class='opt' data-name='1.15.0'>
<a href="/github/expressjs/body-parser?branch=1.15.0"><i class="fa fa-circle-o"></i>
1.15.0
</a></li>
<li class='opt' data-name='1.15.1'>
<a href="/github/expressjs/body-parser?branch=1.15.1"><i class="fa fa-circle-o"></i>
1.15.1
</a></li>
<li class='opt' data-name='1.15.2'>
<a href="/github/expressjs/body-parser?branch=1.15.2"><i class="fa fa-circle-o"></i>
1.15.2
</a></li>
<li class='opt' data-name='1.16.0'>
<a href="/github/expressjs/body-parser?branch=1.16.0"><i class="fa fa-circle-o"></i>
1.16.0
</a></li>
<li class='opt' data-name='1.16.1'>
<a href="/github/expressjs/body-parser?branch=1.16.1"><i class="fa fa-circle-o"></i>
1.16.1
</a></li>
<li class='opt' data-name=''>
<a href="/github/expressjs/body-parser?branch="><i class="fa fa-circle-o"></i>

</a></li>
<li class='opt' data-name='1.17.1'>
<a href="/github/expressjs/body-parser?branch=1.17.1"><i class="fa fa-circle-o"></i>
1.17.1
</a></li>
<li class='opt' data-name='1.17.2'>
<a href="/github/expressjs/body-parser?branch=1.17.2"><i class="fa fa-circle-o"></i>
1.17.2
</a></li>
<li class='opt' data-name='type'>
<a href="/github/expressjs/body-parser?branch=type"><i class="fa fa-circle-o"></i>
type
</a></li>
<li class='opt' data-name='1.18.0'>
<a href="/github/expressjs/body-parser?branch=1.18.0"><i class="fa fa-circle-o"></i>
1.18.0
</a></li>
<li class='opt' data-name='1.18.1'>
<a href="/github/expressjs/body-parser?branch=1.18.1"><i class="fa fa-circle-o"></i>
1.18.1
</a></li>
<li class='opt' data-name='1.18.2'>
<a href="/github/expressjs/body-parser?branch=1.18.2"><i class="fa fa-circle-o"></i>
1.18.2
</a></li>
<li class='opt' data-name='1.18.3'>
<a href="/github/expressjs/body-parser?branch=1.18.3"><i class="fa fa-circle-o"></i>
1.18.3
</a></li>
<li class='opt' data-name='1.19.0'>
<a href="/github/expressjs/body-parser?branch=1.19.0"><i class="fa fa-circle-o"></i>
1.19.0
</a></li>
<li class='opt' data-name='urlencoded-qs-simple'>
<a href="/github/expressjs/body-parser?branch=urlencoded-qs-simple"><i class="fa fa-circle-o"></i>
urlencoded-qs-simple
</a></li>
</ul>
</div>
</div>
</h3>
<div class='coverage-unknown' id='runInfo'>
<label>Committed</label>
26 Mar 2020 - 23:56
<span class="">coverage remained the same at 100.0%</span>
</div>
<div class='coverage-unknown table' id='runCommit'>
<div class='tr'>
<div class='td runCommit-build-number'>
<label>Build #</label>
<a class="btn btn-micro" href="/builds/29648846">866
</a></div>
<div class='td'>
<label>Build Type</label>
<p>push</p>
<p>travis-ci</p>
</div>
<div class='td'>
<label>Committed by</label>
<a class="committer" href="https://github.com/dougwilson"><img src="https://secure.gravatar.com/avatar/c4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" alt="C4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" />dougwilson</a>
</div>
<div class='td'>
<label>Commit Message</label>
<pre><a href="https://github.com/expressjs/body-parser/commit/480b1cfe29af19c070f4ae96e0d598c099f42a12">docs: add entity verify failed error documentation</a></pre>
</div>
<div class='td'>
<label>Run Details</label>
<p>
<strong>203</strong>
of
<strong>203</strong>
branches covered
<strong>(100.0%)</strong>
<p>Branch coverage included in aggregate %.</p>
</p>
<p>
<strong>327</strong>
of
<strong>327</strong>
relevant lines covered
<strong>(100.0%)</strong>
</p>
<p>
<strong>4760.69</strong>
hits per line
</p>
</div>
</div>
</div>

</div>
<div class='show-item show-last-build-detail'>
<h5>Relevant lines Covered</h5>
<div class='show-trend repoOverview'><div class='trend relevant-total'>
<div class='relevant-trend-count'>
<em class='count-relevant'>
<span>327</span>
RELEVANT LINES
</em>
<em class='count-covered'>
<span>327</span>
COVERED LINES
</em>
</div>
<div class='repo-sparkline sparkline-relevent sparkline-no-circles' data-branch='master' data-graph-data='[[0,100,100],[1,100,100],[2,100,100],[3,103,103],[4,103,103],[5,103,103],[6,103,103],[7,103,103],[8,102,102],[9,102,102],[10,102,102],[11,102,102],[12,102,102],[13,102,102],[14,102,102],[15,114,114],[16,113,113],[17,113,113],[18,113,113],[19,116,116],[20,137,137],[21,138,138],[22,162,162],[23,163,163],[24,180,180],[25,180,180],[26,180,180],[27,180,180],[28,201,201],[29,201,201],[30,204,204],[31,213,213],[32,218,218],[33,218,218],[34,218,218],[35,218,218],[36,218,218],[37,218,218],[38,218,218],[39,218,218],[40,218,218],[41,218,218],[42,218,218],[43,218,218],[44,218,218],[45,218,218],[46,218,218],[47,218,218],[48,218,218],[49,218,218],[50,218,218],[51,218,218],[52,218,218],[53,218,218],[54,218,218],[55,218,218],[56,218,218],[57,218,218],[58,218,218],[59,218,218],[60,218,218],[61,218,218],[62,218,218],[63,218,218],[64,218,218],[65,218,218],[66,218,218],[67,218,218],[68,208,208],[69,208,208],[70,208,208],[71,208,208],[72,208,208],[73,208,208],[74,208,208],[75,208,208],[76,246,246],[77,246,246],[78,246,246],[79,246,246],[80,246,246],[81,247,247],[82,247,247],[83,247,247],[84,247,247],[85,246,246],[86,246,246],[87,246,246],[88,246,246],[89,246,246],[90,246,246],[91,246,246],[92,246,246],[93,246,246],[94,246,246],[95,246,246],[96,246,246],[97,246,246],[98,246,246],[99,246,246],[100,252,252],[101,246,246],[102,246,246],[103,253,253],[104,253,253],[105,253,253],[106,253,253],[107,253,253],[108,253,253],[109,253,253],[110,253,253],[111,253,253],[112,253,253],[113,253,253],[114,253,253],[115,253,253],[116,253,253],[117,253,253],[118,253,253],[119,253,253],[120,253,253],[121,253,253],[122,253,253],[123,253,253],[124,253,253],[125,253,253],[126,253,253],[127,253,253],[128,253,253],[129,253,253],[130,253,253],[131,253,253],[132,253,253],[133,253,253],[134,253,253],[135,253,253],[136,253,253],[137,253,253],[138,253,253],[139,253,253],[140,253,253],[141,253,253],[142,253,253],[143,253,253],[144,253,253],[145,253,253],[146,253,253],[147,253,253],[148,0,0],[149,253,253],[150,253,253],[151,253,253],[152,253,253],[153,252,252],[154,280,280],[155,292,292],[156,310,310],[157,312,314],[158,312,314],[159,312,314],[160,314,314],[161,314,314],[162,314,314],[163,314,314],[164,314,314],[165,314,314],[166,314,314],[167,314,314],[168,314,314],[169,314,314],[170,314,314],[171,314,314],[172,314,314],[173,314,314],[174,314,314],[175,314,314],[176,314,314],[177,314,314],[178,314,314],[179,314,314],[180,314,314],[181,314,314],[182,314,314],[183,314,314],[184,314,314],[185,314,314],[186,314,314],[187,314,314],[188,314,314],[189,314,314],[190,314,314],[191,314,314],[192,314,314],[193,314,314],[194,314,314],[195,314,314],[196,314,314],[197,314,314],[198,314,314],[199,314,314],[200,315,315],[201,315,315],[202,315,315],[203,324,324],[204,313,313],[205,313,313],[206,317,317],[207,317,317],[208,317,317],[209,317,317],[210,317,317],[211,317,317],[212,317,317],[213,317,317],[214,317,317],[215,317,317],[216,317,317],[217,317,317],[218,317,317],[219,317,317],[220,317,317],[221,317,317],[222,322,322],[223,322,322],[224,322,322],[225,322,322],[226,322,322],[227,322,322],[228,322,322],[229,322,322],[230,322,322],[231,322,322],[232,322,322],[233,322,322],[234,322,322],[235,322,322],[236,322,322],[237,322,322],[238,322,322],[239,322,322],[240,322,322],[241,322,322],[242,322,322],[243,322,322],[244,322,322],[245,324,324],[246,324,324],[247,324,324],[248,324,324],[249,324,324],[250,324,324],[251,324,324],[252,324,324],[253,324,324],[254,324,324],[255,324,324],[256,324,324],[257,324,324],[258,324,324],[259,324,324],[260,324,324],[261,324,324],[262,324,324],[263,324,324],[264,324,324],[265,324,324],[266,324,324],[267,324,324],[268,324,324],[269,324,324],[270,324,324],[271,324,324],[272,324,324],[273,324,324],[274,324,324],[275,324,324],[276,324,324],[277,324,324],[278,324,324],[279,324,324],[280,324,324],[281,324,324],[282,324,324],[283,324,324],[284,324,324],[285,324,324],[286,324,324],[287,324,324],[288,324,324],[289,324,324],[290,324,324],[291,324,324],[292,324,324],[293,324,324],[294,324,324],[295,324,324],[296,324,324],[297,324,324],[298,324,324],[299,348,348],[300,324,324],[301,324,324],[302,348,348],[303,348,348],[304,348,348],[305,348,348],[306,348,348],[307,348,348],[308,348,348],[309,348,348],[310,348,348],[311,348,348],[312,348,348],[313,348,348],[314,348,348],[315,348,348],[316,348,348],[317,348,348],[318,348,348],[319,348,348],[320,348,348],[321,348,348],[322,348,348],[323,348,348],[324,348,348],[325,348,348],[326,348,348],[327,348,348],[328,348,348],[329,348,348],[330,348,348],[331,348,348],[332,348,348],[333,348,348],[334,348,348],[335,348,348],[336,348,348],[337,348,348],[338,348,348],[339,348,348],[340,348,348],[341,348,348],[342,348,348],[343,347,347],[344,347,347],[345,347,347],[346,347,347],[347,347,347],[348,347,347],[349,347,347],[350,347,347],[351,347,347],[352,347,347],[353,347,347],[354,347,347],[355,347,347],[356,347,347],[357,347,347],[358,347,347],[359,347,347],[360,347,347],[361,347,347],[362,347,347],[363,347,347],[364,347,347],[365,347,347],[366,347,347],[367,347,347],[368,347,347],[369,347,347],[370,347,347],[371,347,347],[372,347,347],[373,347,347],[374,347,347],[375,347,347],[376,347,347],[377,347,347],[378,347,347],[379,347,347],[380,347,347],[381,354,354],[382,354,354],[383,347,347],[384,347,347],[385,347,347],[386,347,347],[387,347,347],[388,347,347],[389,346,346],[390,346,346],[391,346,346],[392,358,358],[393,347,347],[394,347,347],[395,347,347],[396,347,347],[397,347,347],[398,347,347],[399,347,347],[400,354,354],[401,354,354],[402,347,347],[403,347,347],[404,347,347],[405,347,347],[406,347,347],[407,347,347],[408,346,346],[409,358,358],[410,358,358],[411,358,358],[412,358,358],[413,358,358],[414,358,358],[415,358,358],[416,358,358],[417,358,358],[418,358,358],[419,360,360],[420,360,360],[421,360,360],[422,360,360],[423,360,360],[424,360,360],[425,360,360],[426,360,360],[427,360,360],[428,360,360],[429,360,360],[430,360,360],[431,360,360],[432,360,360],[433,360,360],[434,360,360],[435,360,360],[436,360,360],[437,360,360],[438,360,360],[439,360,360],[440,360,360],[441,360,360],[442,360,360],[443,360,360],[444,360,360],[445,360,360],[446,360,360],[447,360,360],[448,360,360],[449,360,360],[450,360,360],[451,358,358],[452,359,359],[453,358,358],[454,358,358],[455,358,358],[456,358,358],[457,358,358],[458,358,358],[459,358,358],[460,358,358],[461,358,358],[462,358,358],[463,358,358],[464,358,358],[465,358,358],[466,358,358],[467,358,358],[468,358,358],[469,358,358],[470,358,358],[471,358,358],[472,358,358],[473,358,358],[474,358,358],[475,358,358],[476,358,358],[477,358,358],[478,358,358],[479,358,358],[480,358,358],[481,358,358],[482,358,358],[483,358,358],[484,358,358],[485,358,358],[486,358,358],[487,358,358],[488,358,358],[489,358,358],[490,358,358],[491,358,358],[492,358,358],[493,358,358],[494,358,358],[495,358,358],[496,358,358],[497,358,358],[498,358,358],[499,358,358],[500,358,358],[501,358,358],[502,358,358],[503,358,358],[504,358,358],[505,358,358],[506,358,358],[507,358,358],[508,358,358],[509,358,358],[510,358,358],[511,358,358],[512,358,358],[513,358,358],[514,358,358],[515,358,358],[516,358,358],[517,358,358],[518,358,358],[519,358,358],[520,358,358],[521,358,358],[522,358,358],[523,358,358],[524,358,358],[525,358,358],[526,358,358],[527,358,358],[528,358,358],[529,358,358],[530,358,358],[531,358,358],[532,358,358],[533,358,358],[534,327,327],[535,327,327],[536,327,327],[537,327,327],[538,327,327],[539,327,327],[540,327,327],[541,327,327],[542,327,327],[543,327,327],[544,327,327],[545,327,327],[546,327,327],[547,327,327],[548,327,327],[549,327,327],[550,327,327],[551,327,327],[552,327,327],[553,327,327],[554,327,327],[555,327,327]]'></div>
<a class='infobox' href='/builds/' onmouseout='$(&#39;.infobox&#39;).hide();' style='display:none;'>
<span>
Build:
<i class='fa fa-arrow-circle-right'></i>
</span>
</a>
</div>
<div class='trend relevant-covered'>
<em>
<span>4760.69</span>
HITS PER LINE
</em>
<div class='repo-sparkline sparkline-relevent' data-branch='master' data-graph-data='[[0,45.54,808668],[1,49.08,808761],[2,51.18,808778],[3,53.8,821946],[4,17.93,821961],[5,53.8,821962],[6,53.8,822225],[7,53.8,822229],[8,54.29,831361],[9,36.2,859369],[10,54.29,859372],[11,54.29,859374],[12,54.29,859375],[13,54.29,859376],[14,36.2,878668],[15,55.89,878672],[16,56.36,878723],[17,56.36,881281],[18,56.36,881622],[19,62.41,881715],[20,72.99,884798],[21,72.48,884832],[22,64.02,884934],[23,64.8,885115],[24,70.01,885131],[25,70.69,885196],[26,70.93,885259],[27,70.93,885358],[28,79.03,885363],[29,52.69,885370],[30,78.56,885415],[31,84.23,885534],[32,83.31,885589],[33,83.31,885805],[34,83.28,885838],[35,83.28,885957],[36,83.28,886380],[37,83.28,886382],[38,83.28,886473],[39,83.28,886476],[40,83.28,886477],[41,83.28,887807],[42,83.28,900809],[43,83.28,940005],[44,83.28,987052],[45,83.28,987057],[46,83.28,987061],[47,83.28,987179],[48,83.28,987183],[49,83.28,987967],[50,83.28,987994],[51,83.28,1010619],[52,55.52,1010625],[53,83.28,1012491],[54,83.28,1012492],[55,55.52,1048556],[56,83.28,1048561],[57,83.28,1048563],[58,83.9,1051518],[59,83.9,1052739],[60,83.9,1052740],[61,84.52,1055541],[62,84.52,1055545],[63,84.52,1066652],[64,84.52,1066654],[65,84.52,1066655],[66,84.52,1086699],[67,84.52,1086756],[68,75.76,1091763],[69,75.76,1093973],[70,75.76,1093997],[71,75.76,1128306],[72,75.76,1128307],[73,75.76,1128541],[74,75.76,1136816],[75,75.76,1136848],[76,444.21,1138513],[77,444.21,1142984],[78,444.21,1147539],[79,444.21,1148041],[80,444.21,1156411],[81,442.75,1156432],[82,442.75,1156443],[83,442.75,1175573],[84,442.75,1175603],[85,446.05,1176461],[86,297.37,1176464],[87,446.05,1176501],[88,446.05,1181408],[89,297.37,1181412],[90,446.05,1181416],[91,446.05,1214228],[92,297.37,1214238],[93,298.45,1214420],[94,447.67,1214422],[95,298.45,1219265],[96,447.67,1219267],[97,447.67,1234361],[98,447.67,1234374],[99,447.67,1249016],[100,437.39,1249091],[101,449.55,1249114],[102,449.55,1249119],[103,437.54,1249130],[104,437.54,1251979],[105,437.54,1263248],[106,291.69,1263253],[107,437.54,1282915],[108,437.54,1282951],[109,437.54,1287972],[110,437.54,1321009],[111,437.54,1372556],[112,437.54,1372557],[113,437.54,1372560],[114,437.54,1372561],[115,437.54,1372566],[116,437.54,1391984],[117,437.54,1392101],[118,438.63,1402982],[119,1168.86,1403038],[120,292.42,1511944],[121,438.63,1511948],[122,292.42,1511949],[123,438.63,1511951],[124,438.63,1511960],[125,438.63,1511965],[126,438.63,1511969],[127,438.63,1511989],[128,1168.86,1512123],[129,1182.96,1555373],[130,1182.96,1558554],[131,1182.96,1561199],[132,1577.28,1594937],[133,1182.96,1594938],[134,1182.96,1681646],[135,1182.96,1681648],[136,1182.96,1681657],[137,1182.96,1681660],[138,1182.96,1681725],[139,1182.96,1778349],[140,1182.96,1778352],[141,1182.96,1778357],[142,1182.96,1838538],[143,788.99,1838566],[144,788.99,1838588],[145,1183.48,1919570],[146,1183.48,1919574],[147,1183.48,1919577],[148,0,1919580],[149,1183.48,1919582],[150,1183.48,1919602],[151,1183.48,1919644],[152,1183.48,1919660],[153,792.11,1926350],[154,1078.51,1926891],[155,1040.89,1927012],[156,987.7,1927013],[157,975.65,1927047],[158,975.65,1927048],[159,1626.26,2120102],[160,1630.72,2120157],[161,1628.83,2120164],[162,1628.83,2120169],[163,1628.83,2120173],[164,1303.1,2120185],[165,1303.1,2120192],[166,1628.83,2120384],[167,1628.83,2128673],[168,1303.1,2128683],[169,1628.83,2219423],[170,1303.1,2219427],[171,1628.83,2349379],[172,1628.83,2349383],[173,1303.1,2349395],[174,1303.1,2349472],[175,1628.83,2349475],[176,1628.83,2349479],[177,1628.83,2349542],[178,1628.83,2349545],[179,1302.91,2531819],[180,1954.74,2531822],[181,977.37,2531880],[182,1303.1,2532052],[183,1302.92,2532065],[184,1628.83,2532067],[185,1954.74,2532069],[186,1628.83,2532094],[187,1629.01,2532405],[188,1954.74,2532419],[189,1954.74,2532449],[190,1954.92,2593607],[191,1629.19,2593612],[192,1954.92,2593622],[193,2280.83,2815347],[194,2280.83,2815352],[195,2280.83,2815394],[196,2280.83,2815399],[197,2282.04,2815444],[198,2282.04,2815473],[199,2282.04,2815477],[200,2277.6,2815512],[201,2277.6,2815517],[202,2277.6,2815520],[203,1902.77,2815591],[204,2293.24,2815644],[205,2293.24,2815791],[206,2266.18,2815875],[207,2266.18,2815891],[208,2266.18,2831825],[209,2266.18,2831897],[210,1618.73,2981665],[211,1942.54,2981673],[212,1618.91,2981679],[213,1942.54,2981683],[214,1942.54,2981696],[215,1618.91,2981718],[216,1942.54,2981729],[217,1942.54,3082282],[218,1294.91,3082285],[219,1942.54,3193667],[220,1942.54,3193671],[221,1942.54,3193686],[222,1912.49,3485610],[223,1912.49,3485637],[224,2550.11,3485667],[225,2550.11,3485704],[226,2550.11,3485805],[227,2550.11,3485860],[228,2550.11,3500203],[229,2550.11,3500229],[230,2550.11,3500234],[231,2550.11,3507344],[232,2550.11,3507395],[233,2550.11,3564532],[234,2550.11,3564695],[235,2550.11,3564920],[236,1912.67,3576749],[237,2550.11,3589580],[238,2550.11,3684613],[239,2550.11,3684616],[240,2550.11,3684653],[241,2550.11,3684656],[242,3187.72,3684659],[243,3187.72,3684691],[244,3195.11,3684734],[245,3177.23,3684743],[246,3177.23,3684751],[247,1906.2,4484246],[248,1906.2,4484271],[249,1906.2,4484335],[250,1906.2,4484345],[251,1906.2,4484356],[252,1906.2,4484374],[253,1906.2,4484408],[254,1906.2,4484427],[255,1906.2,4484547],[256,1906.2,4484566],[257,1906.2,4485028],[258,2225.03,4485039],[259,2225.03,4485051],[260,2225.03,4485064],[261,2225.03,4910267],[262,2225.03,4910268],[263,2225.03,4910273],[264,2225.03,4910333],[265,2223.62,5042437],[266,2223.62,5042461],[267,2223.35,5042674],[268,1906.01,5042682],[269,2223.35,5042693],[270,2223.35,5042732],[271,2223.35,5042743],[272,2223.35,5042764],[273,2223.35,5043088],[274,2223.35,5880675],[275,2223.35,5880718],[276,2223.35,6070879],[277,2223.35,6070895],[278,1588.31,6070904],[279,2223.35,6070914],[280,1905.83,6071139],[281,2223.35,6071338],[282,2223.35,6071349],[283,2223.35,6071397],[284,2541.94,6071422],[285,2541.94,6071750],[286,2541.94,6071758],[287,2541.94,6071801],[288,2541.94,6659789],[289,2541.94,6659821],[290,2541.94,6659837],[291,2541.94,6659850],[292,2541.94,6659869],[293,2541.94,6659946],[294,2541.94,6659952],[295,2541.94,6660697],[296,2541.94,6661326],[297,2541.94,6662071],[298,2541.94,6662099],[299,2365.09,6662333],[300,2541.94,6662421],[301,2540.26,6662466],[302,2367.38,6662550],[303,2367.38,6662874],[304,2367.38,6810698],[305,2367.38,6810718],[306,2367.38,6810798],[307,2367.38,8900539],[308,2367.38,8900562],[309,2072.71,9682933],[310,2368.41,9682946],[311,2368.41,9682950],[312,2368.41,9682958],[313,2368.41,9682964],[314,2368.41,9682972],[315,2072.71,9682982],[316,2072.71,9683188],[317,2072.71,9683202],[318,2368.41,9683207],[319,2665.16,9683397],[320,2665.16,9683410],[321,2665.16,9683420],[322,2665.16,9683436],[323,2665.16,9719172],[324,2665.16,9719227],[325,2665.16,9719258],[326,2665.16,10104056],[327,2665.16,10104091],[328,2665.16,10104106],[329,2665.16,10104117],[330,2665.16,10104133],[331,2665.16,10288102],[332,2665.16,10288120],[333,2369.45,10288172],[334,2665.16,10288189],[335,2665.16,10288213],[336,2961.9,10288228],[337,2961.9,10288242],[338,1186.97,10387143],[339,889.02,10387179],[340,3258.64,10450085],[341,2961.9,10450123],[342,2961.9,10450150],[343,2968.88,10450451],[344,2968.88,10450529],[345,2968.88,10450558],[346,2968.88,10465294],[347,2968.88,10465303],[348,2671.45,11576780],[349,2671.45,11576795],[350,2671.45,11576821],[351,2671.45,11576838],[352,2671.45,11577506],[353,2671.45,11577542],[354,2671.45,11577557],[355,2671.45,11577584],[356,2671.45,11577603],[357,2671.45,11577630],[358,2671.45,11577654],[359,2671.46,12703949],[360,2671.46,12703972],[361,2671.46,12703997],[362,2671.46,12704021],[363,2671.46,12704042],[364,2671.46,12704064],[365,2671.46,12704113],[366,2671.46,12704128],[367,2671.46,12704150],[368,2671.46,12704171],[369,2375.05,12704986],[370,2375.05,12704996],[371,2968.88,12705064],[372,2968.88,12705075],[373,3254.14,12705091],[374,2964.91,13179253],[375,2964.91,13179280],[376,2669.05,13179295],[377,2964.91,13179314],[378,2964.91,13179334],[379,2964.91,13179354],[380,2966.55,13179597],[381,2908.43,13179671],[382,2908.43,13179687],[383,2963.73,13179769],[384,2963.73,13185716],[385,2963.73,13187620],[386,2963.73,13189660],[387,2963.3,13189863],[388,2964.82,13189913],[389,2974.78,13189983],[390,2695.43,13191220],[391,2974.78,13192654],[392,2898.41,13195121],[393,2964.91,13195207],[394,2964.91,13195228],[395,2964.91,13195239],[396,2964.91,13195249],[397,2964.91,13195262],[398,2964.91,13195272],[399,2966.55,13195288],[400,2908.43,13195311],[401,2908.43,13195324],[402,2963.73,13195340],[403,2963.73,13195352],[404,2963.73,13195364],[405,2963.73,13195390],[406,2963.3,13195418],[407,2964.82,13195432],[408,2974.78,13195446],[409,2898.41,13195456],[410,2898.41,13196007],[411,2898.41,13205415],[412,2898.41,13205445],[413,2898.41,13205463],[414,2898.41,13209333],[415,2898.41,13235992],[416,2898.41,13236054],[417,2898.41,13236120],[418,2898.41,13392308],[419,2883.83,13392432],[420,2883.83,13392459],[421,2897.33,13446853],[422,2897.33,14972360],[423,2897.33,14972427],[424,2897.33,14972458],[425,2897.33,14972783],[426,2897.33,14972854],[427,2897.33,14972909],[428,2897.33,14972949],[429,2897.33,14973014],[430,3187.58,16368058],[431,3187.58,16519348],[432,3187.58,16519366],[433,3187.58,16519385],[434,3187.74,16519402],[435,3187.91,16519415],[436,3188.07,16519435],[437,3188.23,16519448],[438,3188.23,16519471],[439,3188.23,16519490],[440,3188.23,16850007],[441,3188.23,16850028],[442,3188.23,16886463],[443,3188.23,16886533],[444,3188.23,16886621],[445,3188.23,16887287],[446,3188.23,16887330],[447,3188.23,16888465],[448,3188.23,16888526],[449,3188.23,16889032],[450,3478.64,16889084],[451,3499.36,16890453],[452,3489.78,16890743],[453,3499.5,16890813],[454,3499.5,16973946],[455,3499.5,18406942],[456,3499.5,18407067],[457,3499.5,18407176],[458,3499.5,18407257],[459,3499.5,18407539],[460,3499.5,18407831],[461,3499.5,22875864],[462,3499.5,22875980],[463,3499.5,22876075],[464,3499.5,22876162],[465,3499.5,22876260],[466,3499.5,22876376],[467,3499.5,22876577],[468,3499.5,22882311],[469,3499.5,22882360],[470,3499.5,22883484],[471,3499.5,22883525],[472,3499.5,22883565],[473,3499.5,22883600],[474,3791.65,22883623],[475,3791.65,22883645],[476,3791.65,22883697],[477,3791.65,22883727],[478,3791.65,22883764],[479,3791.65,22883788],[480,3207.52,22883824],[481,1746.94,22883845],[482,3791.65,22883897],[483,3791.65,22883929],[484,3791.65,22884032],[485,3791.65,22884064],[486,3791.65,22884104],[487,3791.65,22884145],[488,3791.65,22885152],[489,3791.76,22885185],[490,3791.76,22885244],[491,3791.76,22885284],[492,3791.76,22885316],[493,3791.76,22885347],[494,3791.76,22885377],[495,3791.76,22885413],[496,3791.76,22924673],[497,3791.76,22924685],[498,3791.76,22924708],[499,4083.91,22985664],[500,4083.91,23036299],[501,4083.91,23036331],[502,3791.76,24209401],[503,4083.91,24209448],[504,4083.91,24209485],[505,4083.91,24209533],[506,4083.91,24209570],[507,4083.91,24209855],[508,4083.91,24209885],[509,4083.91,24209926],[510,4083.91,24209967],[511,4083.91,24210008],[512,4083.91,24210035],[513,4083.91,28754781],[514,4083.91,28754818],[515,4083.91,28754837],[516,4083.91,29370830],[517,4083.91,29370892],[518,4083.91,29370976],[519,4083.91,29371011],[520,4083.91,29492792],[521,4083.91,29492822],[522,4083.91,29492934],[523,4083.91,29492994],[524,4083.91,29515324],[525,4083.91,29515357],[526,4083.91,29515381],[527,4083.91,29515397],[528,4083.91,29515432],[529,4083.91,29515452],[530,4083.91,29568667],[531,4083.91,29568706],[532,4083.91,29568752],[533,4083.91,29568790],[534,4442.87,29568822],[535,4442.87,29569036],[536,4442.87,29569117],[537,4442.87,29569179],[538,4442.87,29569245],[539,4442.87,29570058],[540,4442.87,29570098],[541,4442.87,29570123],[542,4442.87,29570152],[543,4760.69,29570181],[544,4760.69,29648071],[545,4760.69,29648121],[546,4760.69,29648168],[547,4760.69,29648230],[548,4760.69,29648289],[549,4760.69,29648343],[550,4760.69,29648401],[551,4760.69,29648448],[552,4760.69,29648503],[553,4760.69,29648554],[554,4760.69,29648777],[555,4760.69,29648846]]'></div>
</div>
</div>
</div>
<div class='show-item show-last-build-detail'>
<h5>
Source Files on
master
</h5>
<div class='groupable'>
<ul class='nav nav-tabs groupable-controls'>
<li class='active' data-view='tree'>
<a name="tree" href="/github/expressjs/body-parser">Tree
</a></li>
<li>
<a data-sort-class="all" name="filesAll" class="sortableTh sortAll " href="/github/expressjs/body-parser">List
<strong>6</strong>
</a></li>
<li>
<a data-sort-class="changed" class="sortableTh sortChanged" href="/github/expressjs/body-parser">Changed
<strong>4</strong>
</a></li>
<li>
<a data-sort-class="source-changed" class="sortableTh sortSourceChanged" href="/github/expressjs/body-parser">Source Changed
<strong>0</strong>
</a></li>
<li>
<a data-sort-class="coverage-changed" class="sortableTh sortCovChanged" href="/github/expressjs/body-parser">Coverage Changed
<strong>4</strong>
</a></li>
</ul>
<div id='source-files-datatable' style='display:none'>
<table class='datatable groupable-table' data-ajax-source-filter='filter=all' data-ajax-source='/builds/29648846/source_files.js' data-branching='yes'>
<thead>
<tr>
<th>Coverage</th>
<th>∆</th>
<th>File</th>
<th>Lines</th>
<th>Relevant</th>
<th>Covered</th>
<th>Missed</th>
<th>Hits/Line</th>
<th>Branch Hits</th>
<th>Branch Misses</th>
</tr>
</thead>
<tbody></tbody>
</table>
</div>
<div class='clear'></div>
<div id='tree-wr'>
<div data-url='/builds/29648846/nodes.json' id='tree'></div>
<img src='/assets/loading.gif' style='display:none'>
</div>
<script>
  (function() {
    $(function() {
      var $tree;
      $tree = $('#tree').tree({
        autoEscape: false,
        useContextMenu: false,
        selectable: false,
        saveState: "BuildDecorator/29648846",
        onCreateLi: (function(_this) {
          return function(node, li) {
            var el, klass, name;
            el = li.find('.jqtree-title');
            name = node.data.name;
            klass = node.data.dir ? (name += "/", 'dirname') : 'filename';
            el.append($("<span class='tree-" + klass + "'>" + name + "</span>"));
            return el.prepend(node.data.badge);
          };
        })(this),
        onLoading: function(is_loading, node, el) {
          if (is_loading) {
            return el.find('.jqtree-toggler').html($("<img/>", {
              src: '/assets/loading.gif',
              style: 'height:15px; width:12px'
            }));
          }
        }
      }).bind('tree.click', function(e) {
        var is_job;
        if (!(e.node.load_on_demand || e.node.children.length > 0)) {
          is_job = false;
          return window.location = is_job ? "/jobs/29648846/source_files/" + e.node.data.id : "/builds/29648846/source?filename=" + e.node.data.path;
        } else {
          return $tree.tree('toggle', e.node);
        }
      });
      return window.tree = $tree;
    });
  
  }).call(this);
</script>
</div>

</div>
<div class='show-item'>
<h3>Recent Builds</h3>
<table>
<thead>
<tr>
<th>Builds</th>
<th>Branch</th>
<th>Coverage</th>
<th>Commit</th>
<th>Committer</th>
<th>Type</th>
<th>Time</th>
<th>Via</th>
</tr>
</thead>
<tr>
<td>
<a class="btn btn-micro" href="/builds/29648846">866
</a></td>
<td>
<strong><a href="https://github.com/expressjs/body-parser/tree/master">master</a></strong>
</td>
<td>
<div class='changeBadge'><i class="fa fa-minus"></i><div class='changed coverage-high'>
100.0</div></div>

</td>
<td class='break-column'><span><a href="/builds/29648846">docs: add entity verify failed error documentation</a></span></td>
<td><a class="committer" href="https://github.com/dougwilson"><img src="https://secure.gravatar.com/avatar/c4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" alt="C4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" />dougwilson</a></td>
<td>
push
</td>
<td>27 Mar 2020 12:00AM UTC</td>
<td>travis-ci</td>
</tr>
<tr>
<td>
<a class="btn btn-micro" href="/builds/29648777">865
</a></td>
<td>
<strong><a href="https://github.com/expressjs/body-parser/tree/master">master</a></strong>
</td>
<td>
<div class='changeBadge'><i class="fa fa-minus"></i><div class='changed coverage-high'>
100.0</div></div>

</td>
<td class='break-column'><span><a href="/builds/29648777">docs: add entity parse failed error documentation

closes #378</a></span></td>
<td><a class="committer" href="https://github.com/dougwilson"><img src="https://secure.gravatar.com/avatar/c4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" alt="C4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" />dougwilson</a></td>
<td>
push
</td>
<td>26 Mar 2020 11:55PM UTC</td>
<td>travis-ci</td>
</tr>
<tr>
<td>
<a class="btn btn-micro" href="/builds/29648655">864
</a></td>
<td>
<strong><a href="https://github.com/expressjs/body-parser/tree/HopefulLlama-Readme-Update">HopefulLlama-Readme-Update</a></strong>
</td>
<td>
<div class='changeBadge'><i class="fa fa-minus"></i><div class='changed coverage-high'>
100.0</div></div>

</td>
<td class='break-column'><span><a href="/builds/29648655">docs: add entity parse failed error documentation

closes #378</a></span></td>
<td><a class="committer" href="https://github.com/web-flow"><img src="https://secure.gravatar.com/avatar/9181eb84f9c35729a3bad740fb7f9d93?size=18&amp;default=identicon" alt="9181eb84f9c35729a3bad740fb7f9d93?size=18&amp;default=identicon" />web-flow</a></td>
<td>
<a class="btn btn-micro" href="https://github.com/expressjs/body-parser/pull/378">Pull #378</a>
</td>
<td>26 Mar 2020 11:46PM UTC</td>
<td>travis-ci</td>
</tr>
<tr>
<td>
<a class="btn btn-micro" href="/builds/29648554">863
</a></td>
<td>
<strong><a href="https://github.com/expressjs/body-parser/tree/master">master</a></strong>
</td>
<td>
<div class='changeBadge'><i class="fa fa-minus"></i><div class='changed coverage-high'>
100.0</div></div>

</td>
<td class='break-column'><span><a href="/builds/29648554">docs: document how the errors are created

closes #377</a></span></td>
<td><a class="committer" href="https://github.com/dougwilson"><img src="https://secure.gravatar.com/avatar/c4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" alt="C4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" />dougwilson</a></td>
<td>
push
</td>
<td>26 Mar 2020 11:41PM UTC</td>
<td>travis-ci</td>
</tr>
<tr>
<td>
<a class="btn btn-micro" href="/builds/29648503">862
</a></td>
<td>
<strong><a href="https://github.com/expressjs/body-parser/tree/master">master</a></strong>
</td>
<td>
<div class='changeBadge'><i class="fa fa-minus"></i><div class='changed coverage-high'>
100.0</div></div>

</td>
<td class='break-column'><span><a href="/builds/29648503">deps: qs@6.9.3</a></span></td>
<td><a class="committer" href="https://github.com/dougwilson"><img src="https://secure.gravatar.com/avatar/c4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" alt="C4b64c6e47d970bb0d07a2b9d559be9b?size=18&amp;default=identicon" />dougwilson</a></td>
<td>
push
</td>
<td>26 Mar 2020 11:37PM UTC</td>
<td>travis-ci</td>
</tr>
</table>
<div class='repo-show-all-builds'>
<a class="btn" href="/repos/23191/builds">See All Builds (772)
</a></div>
</div>


</div>

<div class='clear'></div>
</div>
<div class='sidebar'>
<div class='sidebar-item'>
<ul>
<li>
<a target="_blank" href="https://github.com/expressjs/body-parser"><i class="fa fa-external-link-square"></i>
Repo on GitHub
</a></li>
</ul>
</div>

</div>

</div>
</div>
<footer class='' id='footer'>
<div class='wrapper'>
<a href="http://docs.coveralls.io/troubleshooting">Troubleshooting</a>
&middot;
<a href="https://github.com/lemurheavy/coveralls-public/issues">Open an Issue</a>
&middot;
<a rel="nofollow" href="mailto:sales@coveralls.io">Sales</a>
&middot;
<a rel="nofollow" href="mailto:support@coveralls.io">Support</a>
&middot;
<a href="https://enterprise.coveralls.io">ENTERPRISE</a>
&middot;
<a href="/careers">CAREERS</a>
&middot;
<a target="_blank" href="http://status.coveralls.io">STATUS</a>
<br>
<span>
<a target="_blank" href="http://blog.coveralls.io/">BLOG</a>
&middot;
<a target="_blank" href="https://twitter.com/CoverallsApp">TWITTER</a>
&middot;
<a href="/legal">Legal &amp; Privacy</a>
&middot;
<a href="/supported-continuous-integration">Supported CI Services</a>
&middot;
<a href="/continuous-integration">What&#39;s a CI service?</a>
&middot;
<a href="/code-coverage">Automated Testing</a>
</span>
<p>
&copy; 2020 Coveralls, LLC
</p>
</div>
</footer>


<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  
  ga('create', 'UA-36781555-1', 'auto');
  ga('send', 'pageview');
  
  ga('require', 'ecommerce');
</script>
<script type="text/javascript">
setTimeout(function(){var a=document.createElement("script");
var b=document.getElementsByTagName("script")[0];
a.src=document.location.protocol+"//script.crazyegg.com/pages/scripts/0062/3179.js?"+Math.floor(new Date().getTime()/3600000);
a.async=true;a.type="text/javascript";b.parentNode.insertBefore(a,b)}, 1);
</script>

</body>
</html>
